const { Router } = require('express')
const router = Router()
const userController = require('../controllers/userController')

/// /////////////////// admin routes
// router.post('/register/admin', userController.register_admin)
router.post('/register/user', userController.register_user)
// router.post('/activation/:key', userController.activation)
router.post('/reset-pass-token', userController.generate_reset_user_password_link)
router.post('/set-new-pass', userController.reset_password_using_token)

router.post('/login', userController.webLogin)
router.post('/logout', userController.webLogout)
router.get('/user', userController.getUser)

module.exports = router
